Bug 56858 - "tree /" exits with seg.fault and dumping core.
"tree /" exits with seg.fault and dumping core.
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: tree (Show other bugs)
7.1
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-28 19:55 EST by Shinya Narahara
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-23 11:55:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shinya Narahara 2001-11-28 19:55:39 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.75 [ja] (WinNT; U)

Description of problem:
On IA64 machine, the command "tree /" exits with segmentation fault and dumping core.
"tree *some directory*" can exit normally, like "/root" or so.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. tree /
2.
3.
	

Actual Results:  /
Segmentation fault (core dumped)

Expected Results:  Show all files with being tree.

Additional info:

"tree" for some directory fails, for another directory exits normally.
And on IA32 machine, this is never ocurred, for IA64 only.
The versions of tree are 1.2-11, 1.2-13, and 1.2-14, with kernel
2.4.3-12, 2.4.9-12. glibc 2.2.4-19.
Comment 1 Tim Waugh 2001-12-03 12:43:12 EST
If you do:

gdb tree
set args /
run
bt

What does it say?
Comment 2 Shinya Narahara 2001-12-03 19:17:18 EST
It says below:

(gdb) run
Starting program: /usr/bin/tree /
/

Program received signal SIGSEGV, Segmentation fault.
0x4000000000003581 in region_header.1 ()
(gdb) bt
#0  0x4000000000003581 in region_header.1 ()
#1  0x4000000000003570 in region_header.1 ()
(gdb) where
#0  0x4000000000003581 in region_header.1 ()
#1  0x4000000000003570 in region_header.1 ()
Comment 3 Tim Waugh 2002-05-16 09:59:45 EDT
Fixed in 1.2-18.

Note You need to log in before you can comment on or make changes to this bug.